/*
Trieda, ktorá umožňuje vytvárať list objektov, reprezentujúcich sety použitých
svetelných zdrojov, s príslušnými vybranými parametrami, ako svetelný tok,
teplotný chromatickosť zdroja ai. ....
Trieda je nutná, z dôvodu zabezpečenia funkcionality ukladania parametrov
svetelného zdroja vo formáte EULUMDAT (.ldt) ...
 */

package CalculationAndLampsSets;

public class LampsSets {

    public String ID26a_numberOfLamp;
    public String ID26b_typeOfLamp;
    public String ID26c_fluxOfLamp;
    public String ID26d_ColorTemperatureOfLamp;
    public String ID26e_colorRenderingIndex;
    public String ID26f_allPowerSupply;

    /*
    Konštruktor, vytvárajúci v prípade inicializácie, objekt,
    obsahujúci uvedené parametre ...
     */
    public LampsSets(String ID26a_numberOfLamp, String ID26b_typeOfLamp, String ID26c_fluxOfLamp, String ID26d_ColorTemperatureOfLamp, String ID26e_colorRenderingIndex, String ID26f_allPowerSupply){
        this.ID26a_numberOfLamp = ID26a_numberOfLamp;
        this.ID26b_typeOfLamp = ID26b_typeOfLamp;
        this.ID26c_fluxOfLamp = ID26c_fluxOfLamp;
        this.ID26d_ColorTemperatureOfLamp = ID26d_ColorTemperatureOfLamp;
        this.ID26e_colorRenderingIndex = ID26e_colorRenderingIndex;
        this.ID26f_allPowerSupply = ID26f_allPowerSupply;
    }

    /*
     Funkcie, umožňujúce nastavenie príslušných parametrov.
     */
    public String getID26a_numberOfLamp(){
        return ID26a_numberOfLamp;
    }

    public String getID26b_typeOfLamp(){
        return ID26b_typeOfLamp;
    }

    public String getID26c_fluxOfLamp(){
        return ID26c_fluxOfLamp;
    }

    public String getID26d_ColorTemperatureOfLamp(){
        return ID26d_ColorTemperatureOfLamp;
    }

    public String getID26e_colorRenderingIndex(){
        return ID26e_colorRenderingIndex;
    }

    public String getID26f_allPowerSupply(){
        return ID26f_allPowerSupply;
    }

    /*
     Funkcie, umožňujúce vyčítanie príslušných parametrov.
     */
    public void setID26a_numberOfLamp(String ID26a_numberOfLamp){
        this.ID26a_numberOfLamp = ID26a_numberOfLamp;
    }

    public void setID26b_typeOfLamp(String ID26b_typeOfLamp){
        this.ID26b_typeOfLamp = ID26b_typeOfLamp;
    }

    public void setID26c_fluxOfLamp(String ID26c_fluxOfLamp){
        this.ID26c_fluxOfLamp = ID26c_fluxOfLamp;
    }

    public void setID26d_ColorTemperatureOfLamp(String ID26d_ColorTemperatureOfLamp){
        this.ID26d_ColorTemperatureOfLamp = ID26d_ColorTemperatureOfLamp;
    }

    public void setID26e_colorRenderingIndex(String ID26e_colorRenderingIndex){
        this.ID26e_colorRenderingIndex = ID26e_colorRenderingIndex;
    }

    public void setID26f_allPowerSupply(String ID26f_allPowerSupply){
        this.ID26f_allPowerSupply = ID26f_allPowerSupply;
    }
}

